#32/64
Summary:	Open source MSX emulator
Name:		openmsx
Version:	17.0
Release:	%mkrel 1
URL:		http://openmsx.sourceforge.net/
Source0:	%{name}-%{version}.tar.xz
Patch0:		openmsx-fix-config.patch
License:	GPL+
Group:		Emulators
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	%{_lib}sdl2.0-devel
BuildRequires:	python3
BuildRequires:	%{_lib}sdl2_image-devel
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}ogg-devel
BuildRequires:	%{_lib}theora-devel 
BuildRequires:	%{_lib}vorbis0-devel
BuildRequires:	%{_lib}tcl-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}glew-devel
BuildRequires:	%{_lib}sdl2_ttf-devel
Requires:       %{_lib}glew1.11
Requires:       %{_lib}sdl2_ttf2.0_0
Requires:       glibc >= 2.33

%description
The open source MSX emulator that tries to achieve
near-perfect emulation by using a novel emulation model.

%prep
%setup -q
%patch0 -p1 -b .fix-config

%build
./configure --prefix=/usr


%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/openmsx
Icon=emulators_section
Name=Openmsx
Comment=%{summary}
Categories=Emulator;X-MandrivaLinux-MoreApplications-Emulators
EOF


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files

%doc %_datadir/doc/%name/
%doc README
%{_bindir}/openmsx
%{_datadir}/%name
%{_datadir}/applications/%{name}.desktop


%changelog

* Mon Jul 19 2021 Agent Smith <ruidobranco@yahoo.com.br> 0.17.0-1pclos2021
- updated package to latest source.

* Wed Apr 07 2021 Agent Smith <ruidobranco@yahoo.com.br> 0.16.0-1pclos2021
- updated package to latest source.
- Added dependencies: Python3, SDL2, Ogg, Theora and Vorbis.
- Dropped: Jack devel, xml2-devel

* Thu Jun 13 2019 Agent Smith <ruidobranco@yahoo.com.br> 0.15.0-1pclos2019
- updated package to latest source.

* Mon Sep 25 2017 Agent Smith <ruidobranco@yahoo.com.br> 0.14.0-2pclos2017
- Added dependencies  lib64glew1.11 and lib64SDL_ttf2.0_0

* Mon Sep 25 2017 Agent Smith <ruidobranco@yahoo.com.br> 0.14.0-1pclos2017
- updated package to latest source.

* Tue Jul 18 2017 Agent Smith <ruidobranco@yahoo.com.br> 0.13.0-1pclos2017
- updated package to latest source.

* Mon Feb 01 2016 Agent Smith <ruidobranco@yahoo.com.br> 0.12.0-1pclos2016
- updated package to latest source.

* Thu Mar 12 2015 Agent Smith <ruidobranco@yahoo.com.br> 0.11.0-1pclos2015
- updated package to latest source, adapted to run on both 32/64 archs.

* Sun Dec 27 2009 Texstar <texstar at gmail.com> 0.7.2-1pclos2010
- gcc update
- 0.7.2
- build for new tcl

